Bug 8906 - terminology "URL"
Summary: terminology "URL"
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: pre-LC1 HTML5 spec (editor: Ian Hickson) (show other bugs)
Version: unspecified
Hardware: PC Windows NT
: P2 normal
Target Milestone: ---
Assignee: Ian 'Hixie' Hickson
QA Contact: HTML WG Bugzilla archive list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-09 14:47 UTC by Julian Reschke
Modified: 2010-10-04 14:32 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Reschke 2010-02-09 14:47:52 UTC
Section 2.5.1:

"Note: The term "URL" in this specification is used in a manner distinct from the precise technical meaning it is given in RFC 3986. Readers familiar with that RFC will find it easier to read this specification if they pretend the term "URL" as used herein is really called something else altogether. This is a willful violation of RFC 3986. [RFC3986]"

"willful violation" is linked to Section 1.5.2:

"This specification interacts with and relies on a wide variety of other specifications. In certain circumstances, unfortunately, the desire to be compatible with legacy content has led to this specification violating the requirements of these other specifications. Whenever this has occurred, the transgressions have each been noted as a "willful violation"."

How is the choice of "URL" (instead of "IRI") required for compatibility with legacy content?

Minimally, something is wrong with that definition.
Comment 1 Ian 'Hixie' Hickson 2010-02-14 11:08:03 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: see diff given below
Rationale: Concurred with reporter's comments.
Comment 2 contributor 2010-02-14 11:08:55 UTC
Checked in as WHATWG revision r4734.
Check-in comment: Not all willful violations are legacy issues.
http://html5.org/tools/web-apps-tracker?from=4733&to=4734
Comment 3 Julian Reschke 2010-02-14 11:17:44 UTC
Well, relaxing the definition makes the case for "willful" violations even weaker than before.